# This file is generated by numpy's setup.py
# It contains system_info results at the time of building this package.
__all__ = ["get_info","show"]


import os
import sys

extra_dll_dir = os.path.join(os.path.dirname(__file__), '.libs')
if sys.platform == 'win32' and os.path.isdir(extra_dll_dir):
    os.environ.setdefault('PATH', '')
    os.environ['PATH'] += os.pathsep + extra_dll_dir
atlas_3_10_blas_info={}
atlas_3_10_blas_threads_info={}
atlas_threads_info={'define_macros': [('ATLAS_INFO', '"\\"3.8.4\\""')], 'language': 'f77', 'runtime_library_dirs': ['/usr/lib/atlas-sse'], 'libraries': ['lapack', 'ptf77blas', 'ptcblas', 'atlas', 'ptf77blas', 'ptcblas'], 'library_dirs': ['/usr/lib/atlas-sse'], 'include_dirs': ['/usr/include']}
blas_opt_info={'define_macros': [('HAVE_CBLAS', None), ('ATLAS_INFO', '"\\"3.8.4\\""')], 'language': 'c', 'runtime_library_dirs': ['/usr/lib/atlas-sse'], 'libraries': ['ptf77blas', 'ptcblas', 'atlas', 'ptf77blas', 'ptcblas'], 'library_dirs': ['/usr/lib/atlas-sse'], 'include_dirs': ['/usr/include']}
amd_info={'libraries': ['amd', 'amd'], 'library_dirs': ['/usr/lib'], 'swig_opts': ['-I/usr/include/suitesparse'], 'define_macros': [('SCIPY_AMD_H', None)], 'include_dirs': ['/usr/include/suitesparse']}
blis_info={}
atlas_blas_threads_info={'define_macros': [('HAVE_CBLAS', None), ('ATLAS_INFO', '"\\"3.8.4\\""')], 'language': 'c', 'runtime_library_dirs': ['/usr/lib/atlas-sse'], 'libraries': ['ptf77blas', 'ptcblas', 'atlas', 'ptf77blas', 'ptcblas'], 'library_dirs': ['/usr/lib/atlas-sse'], 'include_dirs': ['/usr/include']}
umfpack_info={'libraries': ['umfpack', 'amd', 'amd', 'umfpack'], 'library_dirs': ['/usr/lib'], 'swig_opts': ['-I/usr/include/suitesparse', '-I/usr/include/suitesparse'], 'define_macros': [('SCIPY_UMFPACK_H', None), ('SCIPY_AMD_H', None)], 'include_dirs': ['/usr/include/suitesparse']}
openblas_info={}
lapack_opt_info={'define_macros': [('ATLAS_INFO', '"\\"3.8.4\\""')], 'language': 'f77', 'runtime_library_dirs': ['/usr/lib/atlas-sse'], 'libraries': ['lapack', 'ptf77blas', 'ptcblas', 'atlas', 'ptf77blas', 'ptcblas'], 'library_dirs': ['/usr/lib/atlas-sse'], 'include_dirs': ['/usr/include']}
openblas_clapack_info={}
openblas_lapack_info={}
atlas_3_10_threads_info={}
atlas_3_10_info={}
lapack_mkl_info={}
blas_mkl_info={}

def get_info(name):
    g = globals()
    return g.get(name, g.get(name + "_info", {}))

def show():
    for name,info_dict in globals().items():
        if name[0] == "_" or type(info_dict) is not type({}): continue
        print(name + ":")
        if not info_dict:
            print("  NOT AVAILABLE")
        for k,v in info_dict.items():
            v = str(v)
            if k == "sources" and len(v) > 200:
                v = v[:60] + " ...\n... " + v[-60:]
            print("    %s = %s" % (k,v))
    